CVE-2018-12375

high
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

Memory safety bugs present in Firefox 61. Some of these bugs showed evidence of memory corruption and we presume that with enough effort that some of these could be exploited to run arbitrary code. This vulnerability affects Firefox < 62.

References

http://www.securityfocus.com/bid/105276

http://www.securitytracker.com/id/1041610

https://bugzilla.mozilla.org/buglist.cgi?bug_id=1478849%2C1433502%2C1480965%2C894215%2C1462693%2C1475431%2C1461027

https://usn.ubuntu.com/3761-1/

https://www.mozilla.org/security/advisories/mfsa2018-20/

Details

Source: MITRE

Published: 2018-10-18

Updated: 2018-12-06

Type: CWE-119

Risk Information

CVSS v2

Base Score: 6.8

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3

Base Score: 8.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 2.8

Severity: HIGH

Tenable Plugins

View all (8 total)

IDNameProductFamilySeverity
700407Mozilla Firefox < 62.0 Multiple VulnerabilitiesNessus Network MonitorWeb Clients
critical
119748Mozilla Firefox < 62 Multiple Vulnerabilities (macOS)NessusMacOS X Local Security Checks
critical
117538Ubuntu 14.04 LTS / 16.04 LTS / 18.04 LTS : firefox regressions (USN-3761-3)NessusUbuntu Local Security Checks
critical
117496Ubuntu 14.04 LTS / 16.04 LTS / 18.04 LTS : Firefox regressions (USN-3761-2)NessusUbuntu Local Security Checks
critical
117357Ubuntu 14.04 LTS / 16.04 LTS / 18.04 LTS : firefox vulnerabilities (USN-3761-1)NessusUbuntu Local Security Checks
critical
117304FreeBSD : mozilla -- multiple vulnerabilities (c96d416a-eae7-4d5d-bc84-40deca9329fb)NessusFreeBSD Local Security Checks
critical
117294Mozilla Firefox < 62 Multiple Critical VulnerabilitiesNessusWindows
critical
117291Mozilla Firefox < 62 Multiple Critical Vulnerabilities (macOS)NessusMacOS X Local Security Checks
critical